Subject: Re: linux-next: build failure after merge of the ftrace tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 2 Mar 2013 14:42:29 +1100

Hi Steve,

On Fri, 01 Mar 2013 21:45:18 -0500 Steven Rostedt <[email-masked]> wrote:
>
> On Fri, 2013-03-01 at 13:47 +1100, Stephen Rothwell wrote:
> > 
> > After merging the ftrace tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > kernel/trace/trace_kdb.c: In function 'ftrace_dump_buf':
> > kernel/trace/trace_kdb.c:29:33: error: invalid type argument of '->' (have 'struct trace_array_cpu')
> > kernel/trace/trace_kdb.c:86:33: error: invalid type argument of '->' (have 'struct trace_array_cpu')
> > 
> > Caused by commit eaac1836c10e ("tracing: Replace the static global
> > per_cpu arrays with allocated per_cpu").
> > 
> > I have used the ftrace tree from next-20130228 for today.
> 
> I rebased, and it should all be good now. I also fixed breakage to the
> new snapshot feature. Here's my diff:

Of course, I wonder if this is intended for the current merge window
(since it turned up in linux-next so late).  If not, then please don;t
put it in your -next included branch until after -rc1 is released.  If
you are aiming for this merge window, then good luck!  ;-)

-- 
Cheers,
Stephen Rothwell                    [email-masked]